Debian Bug report logs - #538701
tclx8.4: Unable to load Tclx in Tcl 8.5

version graph

Package: tclx8.4; Maintainer for tclx8.4 is Massimo Dal Zotto <dz@debian.org>; Source for tclx8.4 is src:tclx8.4.

Reported by: Alexander Galanin <gaa.nnov@mail.ru>

Date: Sun, 26 Jul 2009 10:54:01 UTC

Severity: important

Tags: patch

Found in version tclx8.4/8.4.0-2

Fixed in version tclx8.4/8.4.0-3

Done: Massimo Dal Zotto <dz@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, gaa.nnov@mail.ru, Massimo Dal Zotto <dz@debian.org>:
Bug#538701; Package tclx8.4. (Sun, 26 Jul 2009 10:54:04 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Alexander Galanin <gaa.nnov@mail.ru>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: tclx8.4: Unable to load Tclx in Tcl 8.5
Date: Sun, 26 Jul 2009 14:49:28 +0400
Package: tclx8.4
Version: 8.4.0-2
Severity: important
Tags: patch

Bug #442469 has been incorrectly fixed.

In /usr/lib/tclx8.4/pkgIndex.tcl line

if {[package vcompare [info tclversion] 8.4] != 0} return

should be replaced with

if {[package vcompare [info tclversion] 8.4] < 0} return

Otherwise it will be impossible to load Tclx package in Tcl8.5
interpreter.


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-2-amd64 (SMP w/1 CPU core)
Locale: LANG=ru_RU.UTF-8, LC_CTYPE=ru_RU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages tclx8.4 depends on:
ii  libc6                         2.9-12     GNU C Library: Shared libraries

tclx8.4 recommends no packages.

Versions of packages tclx8.4 suggests:
ii  tclx8.4-doc                   8.4.0-2    Extended Tcl (TclX) - manpages

-- no debconf information




Reply sent to Massimo Dal Zotto <dz@debian.org>:
You have taken responsibility. (Mon, 11 Jan 2010 17:21:04 GMT) Full text and rfc822 format available.

Notification sent to Alexander Galanin <gaa.nnov@mail.ru>:
Bug acknowledged by developer. (Mon, 11 Jan 2010 17:21:04 GMT) Full text and rfc822 format available.

Message #8 received at 538701-close@bugs.debian.org (full text, mbox):

From: Massimo Dal Zotto <dz@debian.org>
To: 538701-close@bugs.debian.org
Subject: Bug#538701: fixed in tclx8.4 8.4.0-3
Date: Mon, 11 Jan 2010 17:19:27 +0000
Source: tclx8.4
Source-Version: 8.4.0-3

We believe that the bug you reported is fixed in the latest version of
tclx8.4, which is due to be installed in the Debian FTP archive:

tclx8.4-dev_8.4.0-3_i386.deb
  to main/t/tclx8.4/tclx8.4-dev_8.4.0-3_i386.deb
tclx8.4-doc_8.4.0-3_all.deb
  to main/t/tclx8.4/tclx8.4-doc_8.4.0-3_all.deb
tclx8.4_8.4.0-3.diff.gz
  to main/t/tclx8.4/tclx8.4_8.4.0-3.diff.gz
tclx8.4_8.4.0-3.dsc
  to main/t/tclx8.4/tclx8.4_8.4.0-3.dsc
tclx8.4_8.4.0-3_i386.deb
  to main/t/tclx8.4/tclx8.4_8.4.0-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 538701@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Massimo Dal Zotto <dz@debian.org> (supplier of updated tclx8.4 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 10 Jan 2010 10:20:12 +0100
Source: tclx8.4
Binary: tclx8.4 tclx8.4-dev tclx8.4-doc
Architecture: source all i386
Version: 8.4.0-3
Distribution: unstable
Urgency: low
Maintainer: Massimo Dal Zotto <dz@debian.org>
Changed-By: Massimo Dal Zotto <dz@debian.org>
Description: 
 tclx8.4    - Extended Tcl (TclX) - shared library
 tclx8.4-dev - Extended Tcl (TclX) - development package
 tclx8.4-doc - Extended Tcl (TclX) - manpages
Closes: 538701 561064
Changes: 
 tclx8.4 (8.4.0-3) unstable; urgency=low
 .
   * In pkgIndex.tcl load the library on Tcl >= 8.4.
     Closes: #538701.
 .
   * Fixed build on GNU/kFreeBSD.
     Closes: #561064.
Checksums-Sha1: 
 f5777821d6f294380a6c7f5ceb1f25caedd8749d 1007 tclx8.4_8.4.0-3.dsc
 013cae4eef9844e2a38d8016213cf7f30085c2ea 68411 tclx8.4_8.4.0-3.diff.gz
 bd84b920c4a50031cee2531e2f0762a9e795c5b0 74296 tclx8.4-doc_8.4.0-3_all.deb
 3f37800e22525f701b2f0066d85c3dae4ab1d9f0 95346 tclx8.4_8.4.0-3_i386.deb
 ce990b2b0e84fc77ee6cdb853c2f00894f544c1b 82014 tclx8.4-dev_8.4.0-3_i386.deb
Checksums-Sha256: 
 71c8c948d51cd28f898523ea659c0b12e482206e78e33399d2de6ec1478b7b95 1007 tclx8.4_8.4.0-3.dsc
 a0250f5feefb57880b3f591a9922b3997c45e8418d610fd36f06a722585e1a3d 68411 tclx8.4_8.4.0-3.diff.gz
 a38f4ad31e3a494691ae663a6dbc82b6abb2be7a320e3c64c23187cd6757ec8c 74296 tclx8.4-doc_8.4.0-3_all.deb
 945a59ab111a534531d104cf812eb17303b20318f6e7fd1147f9513b55d5386c 95346 tclx8.4_8.4.0-3_i386.deb
 3c9fad900aa02616d501706b40c3e6ce6002fa996b18c1d9032e86c3ee664465 82014 tclx8.4-dev_8.4.0-3_i386.deb
Files: 
 1a09a221cd09589c7aaa7f06b803849f 1007 libs optional tclx8.4_8.4.0-3.dsc
 0c11d6b3adaa59609038881e51dab43f 68411 libs optional tclx8.4_8.4.0-3.diff.gz
 234836f4245fd61cfc0eb6523a016e8a 74296 doc optional tclx8.4-doc_8.4.0-3_all.deb
 6cbda4ac90f4a25973c7806ff8e7c7ae 95346 libs optional tclx8.4_8.4.0-3_i386.deb
 3f3b47e8ccf48171edecc98b5316fee1 82014 devel optional tclx8.4-dev_8.4.0-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAktJ13YACgkQFH8a6i22VZZVFACgo7zAd1iTIsDI0K914Hw9tQ3m
WQAAni0k5/1ixESDqo9d0+XS/p5kZe3O
=TPRx
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 19 Feb 2010 07:27:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:38:16 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.